## libxfce4util 4.18.2

=== debian/changelog ===
libxfce4util (4.18.2-1~mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 01 Sep 2024 16:41:48 +0000

libxfce4util (4.18.2-1) unstable; urgency=medium

  [ Yves-Alexis Perez ]
  * d/watch: track 4.18 branch
  * d/gbp.conf: track 4.18 branches
  * New upstream version 4.18.2
  * d/patches: rebase against new upstream
  * d/rules: use DEB_BUILD_MAINT_OPTIONS instead of DEB_BUILD_OPTIONS

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 26 Jul 2024 13:35:37 +0200

=== debian/control ===
Source: libxfce4util
Priority: optional
Section: xfce
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper-compat (= 13),
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev,
               xfce4-dev-tools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://docs.xfce.org/xfce/libxfce4util/start
Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4util.git
Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4util

Package: libxfce4util-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-libxfce4util-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libxfce4util7 (= ${binary:Version}),
         ${misc:Depends}
Suggests: devhelp
Description: Development files for libxfce4util7
 This package contains the headers for libxfce4util7. If you intend to code
 applications for the Xfce4 desktop environment, you need to install this
 package.
 .
 The libxfce4util7 Reference Manual is also included and
 it can be consulted using Devhelp or a web browser.

Package: libxfce4util7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxfce4util-common, ${misc:Depends}, ${shlibs:Depends}
Recommends: libxfce4util-bin
Description: Utility functions library for Xfce4
 This package contains libxfce4util7, the basic utility
 function library for Xfce4. If you intend to run Xfce4,
 you need this library.

Package: gir1.2-libxfce4util-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}
Description: Typelib file for libxfce4util
 libxfce4util is the basic utility function library for Xfce4.
 .
 This package provides the introspection data for libxfce4util.

Package: libxfce4util-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libxfce4util4 (<< 4.6.1-2)
Replaces: libxfce4util4 (<< 4.6.1-2)
Description: tools for libxfce4util
 This package contains binaries used by Xfce basic utility library.
 At the moment, the following programs are included:
  - xfce4-kiosk-query: query Xfce kiosk capabilities.

Package: libxfce4util-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libxfce4util4 (<< 4.6.1-2)
Replaces: libxfce4util4 (<< 4.6.1-2)
Description: common files for libxfce4util
 This package contains various infrastructure-independent common files for
 libxfce4util, the Xfce utility library.

## libxfce4util 4.19.3

=== debian/changelog ===
libxfce4util (4.19.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.3.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 18 Mar 2024 02:09:20 -0400

libxfce4util (4.19.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.2.
  * d/libxfce4util7.symbols: Add new symbols.
  * d/libxfce4util-dev.docs: Drop, TODO file removed upstream.
  * d/control: Replace intltool with gettext.

 -- Unit 193 <unit193@debian.org>  Thu, 17 Aug 2023 21:25:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: libxfce4util
 Priority: optional
 Section: xfce
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               gettext,
                gobject-introspection,
                gtk-doc-tools,
-               intltool,
                libgirepository1.0-dev,
                libglib2.0-dev,
                xfce4-dev-tools

## libxfce4util 4.20.0

=== debian/changelog ===
libxfce4util (4.20.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add alternative intropection build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Dec 2024 19:58:55 -0800

libxfce4util (4.20.0-1) unstable; urgency=medium

  * New upstream version 4.20.0
  * d/rules: use DEB_BUILD_MAINT_OPTIONS instead of DEB_BUILD_OPTIONS
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 18 Dec 2024 20:30:38 +0100

libxfce4util (4.19.5-1) experimental; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream version 4.19.4.
    - Refresh d/patches/xubuntu_desktop-x-ubuntu-gettext.patch
  * Bump Standards-Version to 4.7.0.

  [ Unit 193 ]
  * New upstream version 4.19.5.
  * d/control:
    - Refresh introspection packaging.
    - Drop deprecated breaks/replaces.

 -- Unit 193 <unit193@debian.org>  Mon, 02 Dec 2024 01:12:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: libxfce4util
 Priority: optional
 Section: xfce
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               gobject-introspection,
+               gir1.2-gio-2.0-dev | gir1.2-glib-2.0,,
+               gir1.2-gobject-2.0-dev | gir1.2-glib-2.0,
+               gobject-introspection | gir1.2-glib-2.0,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,
+               libgtk-3-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/xfce/libxfce4util/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4util.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4util
@@ -23,7 +27,9 @@
 Depends: gir1.2-libxfce4util-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          libxfce4util7 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: devhelp
 Description: Development files for libxfce4util7
  This package contains the headers for libxfce4util7. If you intend to code
@@ -59,8 +65,6 @@
 Package: libxfce4util-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libxfce4util4 (<< 4.6.1-2)
-Replaces: libxfce4util4 (<< 4.6.1-2)
 Description: tools for libxfce4util
  This package contains binaries used by Xfce basic utility library.
  At the moment, the following programs are included:
@@ -70,8 +74,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libxfce4util4 (<< 4.6.1-2)
-Replaces: libxfce4util4 (<< 4.6.1-2)
 Description: common files for libxfce4util
  This package contains various infrastructure-independent common files for
  libxfce4util, the Xfce utility library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	export DEB_CPPFLAGS_MAINT_APPEND=-DUBUNTU
else
	export DEB_CPPFLAGS_MAINT_APPEND=-DDEBIAN
endif

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes --enable-vala=no

execute_after_dh_auto_install:
	find debian/tmp -name '*.la' -delete

override_dh_installchangelogs:
	DEB_BUILD_MAINT_OPTIONS=notrimdch dh_installchangelogs NEWS

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

%:
	dh $@ --with gir

## libxfce4util 4.20.1

=== meson_options.txt ===
option(
  'gtk-doc',
  type: 'boolean',
  value: false,
  description: 'Build gtk-doc HTML',
)

option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build gobject-introspection files',
)

option(
  'vala',
  type: 'feature',
  value: 'auto',
  description: 'Build Vala language bindings',
)

option(
  'visibility',
  type: 'boolean',
  value: true,
  description: 'Build with GNU symbol visibility',
)

=== debian/changelog ===
libxfce4util (4.20.1-1) unstable; urgency=medium

  * Team upload.

  [ Yves-Alexis Perez ]
  * d/control: add explicit build-dep on pkgconf (Closes: #1021302)

  [ Unit 193 ]
  * New upstream version 4.20.1.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Mon, 24 Mar 2025 00:21:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: libxfce4util
 Priority: optional
 Section: xfce
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               gir1.2-gio-2.0-dev | gir1.2-glib-2.0,,
-               gir1.2-gobject-2.0-dev | gir1.2-glib-2.0,
-               gobject-introspection | gir1.2-glib-2.0,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gio-2.0-dev,
+               gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,
-               libgtk-3-dev,
+               pkgconf,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://docs.xfce.org/xfce/libxfce4util/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4util.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4util
@@ -27,8 +26,8 @@
 Depends: gir1.2-libxfce4util-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          libxfce4util7 (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${gir:Depends}
 Provides: ${gir:Provides}
 Suggests: devhelp
 Description: Development files for libxfce4util7
